# SIPRefer Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPRefer:

List of all members.

## Public Member Functions

| SIPRefer (SIPConnection &connection, OpalTransport &transport, const SIPURL &refer)
| SIPRefer (SIPConnection &connection, OpalTransport &transport, const SIPURL &refer, const SIPURL &referred_by)

## Protected Member Functions

void | Construct (SIPConnection &connection, OpalTransport &transport, const SIPURL &refer, const SIPURL &referred_by)

## Constructor & Destructor Documentation

SIPRefer::SIPRefer | ( | SIPConnection & | connection,
|  | OpalTransport & | transport,
|  | const SIPURL & | refer |
| ) |  |  |

SIPRefer::SIPRefer | ( | SIPConnection & | connection,
|  | OpalTransport & | transport,
|  | const SIPURL & | refer,
|  | const SIPURL & | referred_by |
| ) |  |  |

## Member Function Documentation

void SIPRefer::Construct | ( | SIPConnection & | connection,
|  | OpalTransport & | transport,
|  | const SIPURL & | refer,
|  | const SIPURL & | referred_by |
| ) |  |  | `[protected]`

The documentation for this class was generated from the following file:

- sippdu.h